com.cloudera.sqoop.lib

## Class RecordParser

- java.lang.Object
- - org.apache.sqoop.lib.RecordParser
  - - com.cloudera.sqoop.lib.RecordParser

- Deprecated.
  use org.apache.sqoop.lib.RecordParser instead.

      public final class RecordParser
      extends RecordParser

  Parses a record containing one or more fields. Fields are separated by some FIELD_DELIMITER character, e.g. a comma or a ^A character. Records are terminated by a RECORD_DELIMITER character, e.g., a newline. Fields may be (optionally or mandatorily) enclosed by a quoting char e.g., '\"' Fields may contain escaped characters. An escape character may be, e.g., the '\\' character. Any character following an escape character is treated literally. e.g., '\n' is recorded as an 'n' character, not a newline. Unexpected results may occur if the enclosing character escapes itself. e.g., this cannot parse SQL SELECT statements where the single character ['] escapes to ['']. This class is not synchronized. Multiple threads must use separate instances of RecordParser. The fields parsed by RecordParser are backed by an internal buffer which is cleared when the next call to parseRecord() is made. If the buffer is required to be preserved, you must copy it yourself.
  See Also:
    `RecordParser`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RecordParser.ParseError` Deprecated. use org.apache.sqoop.lib.RecordParser.ParseError instead.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.commons.logging.Log` | `LOG` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordParser(DelimiterSet delimitersIn)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.sqoop.lib.RecordParser

      `hashCode, isEnclosingRequired, parseRecord, parseRecord, parseRecord, parseRecord, parseRecord, parseRecord, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.apache.commons.logging.Log LOG

      Deprecated.

  - ### Constructor Detail

    - #### RecordParser

          public RecordParser(DelimiterSet delimitersIn)

      Deprecated.

Copyright © 2015 The Apache Software Foundation